
textures/qspeedrace/glass_red
{
	qer_editorImage textures/flaw/color/red
	qer_trans 0.5

	q3map_lightSubdivide 256
	q3map_surfacelight 400
	q3map_lightRGB 1 0.13 0.1

	surfaceparm trans
	surfaceparm slick
	surfaceparm nomarks
	//surfaceparm nonsolid
	surfaceparm noimpact
	//surfaceparm playerclip
	surfaceparm alphashadow
	
	//polygonOffset
	sort 16
	{
		map textures/flaw/color/red
		rgbGen wave Sin 0.25 0.2 0 0.1
		blendFunc add
		alphaGen wave Sin 0.002 0 0 0
		depthWrite
	}
	{
		map textures/flaw_ext/tint/red_tint
		blendFunc blend
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/qspeedrace/glass_blue
{
	qer_editorImage textures/flaw/color/blue
	qer_trans 0.5

	q3map_lightSubdivide 256
	q3map_surfacelight 400
	q3map_lightRGB 0.1 0.13 1

	surfaceparm trans
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	//surfaceparm playerclip
	surfaceparm alphashadow
	
	polygonOffset
	sort 9
	{
		map textures/flaw/color/blue
		rgbGen wave Sin 0.25 0.2 0 0.1
		blendFunc add
		alphaGen wave Sin 0.002 0 0 0
		depthWrite
	}
	{
		map textures/flaw_ext/tint/blue_tint
		blendFunc blend
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/qspeedrace/water_green
{
	qer_editorImage textures/flaw_ext/tint/green_tint
	qer_trans 0.99

	q3map_lightSubdivide 256
	q3map_surfacelight 300
	q3map_lightRGB 0.1 1 0.1

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	surfaceparm noimpact
	surfaceparm alphashadow
	
	polygonOffset
	sort 9
	Cull none
	{
		map textures/qspeedrace/green_tint
		blendFunc blend
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/qspeedrace/clear_blue
{
	qer_editorImage textures/flaw_ext/tint/blue_tint
	qer_trans 0.99

	q3map_lightSubdivide 256
	q3map_surfacelight 400
	q3map_lightRGB 0.1 0.1 1

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm alphashadow
	
	polygonOffset
	sort 9
	Cull none
	{
		map textures/flaw_ext/tint/blue_tint
		blendFunc blend
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/qspeedrace/fake_green
{
	qer_editorImage textures/flaw/color/green
	qer_trans 0.5

	//q3map_lightSubdivide 256
	//q3map_surfacelight 400
	//q3map_lightRGB 0.1 1 0.1

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm alphashadow
	
	cull none
	//polygonOffset
	sort 10
	{
		map textures/flaw/color/green
		rgbGen wave Sin 0.25 0.2 0 0.1
		blendFunc add
		alphaGen wave Sin 0.002 0 0 0
		depthWrite
	}
	{
		map textures/flaw_ext/tint/green_tint
		blendFunc blend
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/qspeedrace/red_strong
{
	qer_editorImage textures/qspeedrace/red.tga
	surfaceparm nodamage
	q3map_lightSubdivide 128
	q3map_surfacelight 8000
	q3map_lightRGB 1 0.2 0.1
	{
		map textures/qspeedrace/red.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
	{
		map textures/qspeedrace/red_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .45 .1 0.25 0.125
	}
}

textures/qspeedrace/green_strong
{
	qer_editorImage textures/qspeedrace/green.tga
	surfaceparm nodamage
	q3map_lightSubdivide 128
	q3map_surfacelight 8000
	q3map_lightRGB 0.1 1 0.2
	{
		map textures/qspeedrace/green.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
	{
		map textures/qspeedrace/green_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .45 .1 0.25 0.125
	}
}

textures/qspeedrace/blue_strong
{
	qer_editorImage textures/blueish/blue.tga
	surfaceparm nodamage
	q3map_lightSubdivide 128
	q3map_surfacelight 8000
	q3map_lightRGB 0.1 0.2 1
	{
		map textures/blueish/blue.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
	{
		map textures/blueish2/blue_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .45 .1 0.25 0.125
	}
}

textures/qspeedrace/stormysky_blue
{
	q3map_lightImage textures/blueish2/stormyskyice.jpg
	qer_editorimage textures/blueish2/stormyskyice.jpg
	q3map_sunExt 30 30 200 120 40 30 2 16
	q3map_skylight 110 4
	q3map_lightmapFilterRadius 8 8
	q3map_surfacelight 50
	surfaceparm noimpact
	surfaceparm slick
	surfaceparm nolightmap
	surfaceparm nomarks
	skyParms textures/quak_slide/env/nebula/void 1024 -
	{
		map textures/blueish2/circlegradlightningblur2
		blendfunc add
		rgbGen const ( 0 0  0.7 )
		tcMod scale 0.34 0.34
		tcMod rotate 10
	}
	{
		map textures/blueish2/stormyskyice.jpg
		blendfunc filter
		tcMod scroll 0.05 0.06
	}
}

textures/qspeedrace/stormysky_red
{
	q3map_lightImage textures/qspeedrace/stormyskyred.jpg
	qer_editorimage textures/qspeedrace/stormyskyred.jpg
	q3map_sunExt 200 30 30 120 40 30 2 16
	q3map_skylight 110 4
	q3map_lightmapFilterRadius 8 8
	q3map_surfacelight 50
	surfaceparm noimpact
	surfaceparm slick
	surfaceparm nolightmap
	surfaceparm nomarks
	skyParms textures/quak_slide/env/nebula/void 1024 -
	{
		map textures/blueish2/circlegradlightningblur2
		blendfunc add
		rgbGen const ( 0.7 0  0 )
		tcMod scale 0.34 0.34
		tcMod rotate 10
	}
	{
		map textures/qspeedrace/stormyskyred.jpg
		blendfunc filter
		tcMod scroll 0.05 0.06
	}
}

textures/qspeedrace/stormysky_green
{
	q3map_lightImage textures/qspeedrace/stormyskygreen.jpg
	qer_editorimage textures/qspeedrace/stormyskygreen.jpg
	q3map_sunExt 30 200 60 120 40 30 2 16
	q3map_skylight 110 4
	q3map_lightmapFilterRadius 8 8
	q3map_surfacelight 50
	surfaceparm noimpact
	surfaceparm slick
	surfaceparm nolightmap
	surfaceparm nomarks
	skyParms textures/quak_slide/env/nebula/void 1024 -
	{
		map textures/blueish2/circlegradlightningblur2
		blendfunc add
		rgbGen const ( 0 0.7 0 )
		tcMod scale 0.34 0.34
		tcMod rotate 10
	}
	{
		map textures/qspeedrace/stormyskygreen.jpg
		blendfunc filter
		tcMod scroll 0.05 0.06
	}
}

textures/qspeedrace/greenfog
{
	qer_editorimage textures/inquaked_fogs/fog_blue
	qer_trans 0.65
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	fogparms ( 0 0.5 0 ) 300000
	q3map_bouncescale 0
}

textures/qspeedrace/bluefog
{
	qer_editorimage textures/inquaked_fogs/fog_blue
	qer_trans 0.65
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	fogparms ( 0 0 0.5 ) 30000
	q3map_bouncescale 0
}

textures/qspeedrace/bluefog2
{
	qer_editorimage textures/inquaked_fogs/fog_blue
	qer_trans 0.65
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	fogparms ( 0 0 0.5 ) 3000000
	q3map_bouncescale 0
}



